Download it now!
Bug 130155 - Writer navigator crashes when + is pressed on entries without children
Summary: Writer navigator crashes when + is pressed on entries without children
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3 all versions
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.5.0 target:6.4.1
Keywords: needUITest
Depends on:
Blocks:
 
Reported: 2020-01-23 22:09 UTC by Jim Raykowski
Modified: 2020-01-28 22:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature: ["sw::DocumentOutlineNodesManager::getOutlineNode(unsigned int)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2020-01-23 22:09:38 UTC
Steps to repro:

1) Open a Writer document with tables, bookmarks, hyperlinks
2) Open the Navigator (side bar or floating flavor - ctrl+F5 or F5)
3) Click on a content entry under table, bookmark or hyperlink
4) Press ctrl+

Result: Crash

Expected result: Nothing happens because entry does not have children

I repro back to 6.0.
Comment 1 Jim Raykowski 2020-01-23 22:43:55 UTC
(In reply to Jim Raykowski from comment #0)
> Steps to repro:
> 
> 4) Press ctrl+
> 
No need to hold ctrl key. A simple '+' key press will do.
Comment 2 Xisco Faulí 2020-01-24 10:29:51 UTC
Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: 5fd05b2d4a61af0e72cf75f465c4f6ad7b2f4cc9
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 3 Xisco Faulí 2020-01-24 10:33:00 UTC
Also reproduced in

Version: 5.2.0.0.alpha1+
Build ID: 5b168b3fa568e48e795234dc5fa454bf24c9805e
CPU Threads: 4; OS Version: Linux 4.19; UI Render: default; 
Locale: en-US (en_US.UTF-8)
Comment 4 Commit Notification 2020-01-25 02:43:39 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/a46e768810e82abaf98e5cef02c697c718877974

tdf#130155 Writer Navigator crash fix: Check entry to expand has children

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Xisco Faulí 2020-01-28 09:10:04 UTC
Verified in

Version: 7.0.0.0.alpha0+
Build ID: aef7feb3e695ecf6d411f0777196dcc4281e201a
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

@Jim, thanks for fixing this issue!!
Comment 6 Commit Notification 2020-01-28 09:41:57 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/548e1baac8c767ff51456b5bfeaa98a807fb61f4

tdf#130155 Writer Navigator crash fix: Check entry to expand has children

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.